HibernateGormValidationApi (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate
[Groovy] Class HibernateGormValidationApi

    java.lang.Object
      org.grails.datastore.gorm.AbstractDatastoreApi
          org.grails.datastore.gorm.AbstractGormApi
              org.grails.datastore.gorm.GormValidationApi
                  org.codehaus.groovy.grails.orm.hibernate.HibernateGormValidationApi

    class HibernateGormValidationApi
    extends org.grails.datastore.gorm.GormValidationApi

Field Summary

Fields inherited from class org.grails.datastore.gorm.GormValidationApi
__$stMC, __timeStamp, __timeStamp__239_neverHappen1371569915327, __$stMC, __timeStamp, __timeStamp__239_neverHappen1371569914980, __$stMC, __timeStamp, __timeStamp__239_neverHappen1371569914768

Fields inherited from class org.grails.datastore.gorm.AbstractGormApi
__$stMC, __timeStamp, __timeStamp__239_neverHappen1371569914980, __$stMC, __timeStamp, __timeStamp__239_neverHappen1371569914768

Property Summary
`ValidatePersistentMethod` | `validateMethod`

Constructor Summary
`HibernateGormValidationApi(java.lang.Class persistentClass, HibernateDatastore datastore, java.lang.ClassLoader classLoader)`

Method Summary
`boolean` | `validate(java.lang.Object instance)`
`boolean` | `validate(java.lang.Object instance, boolean evict)`
`boolean` | `validate(java.lang.Object instance, java.util.Map arguments)`
`boolean` | `validate(java.lang.Object instance, java.util.List fields)`

Methods inherited from class org.grails.datastore.gorm.GormValidationApi
org.grails.datastore.gorm.GormValidationApi#super$2$this$dist$invoke$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#super$2$this$dist$set$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#super$2$getProperty(java.lang.String), org.grails.datastore.gorm.GormValidationApi#super$2$this$dist$get$1(java.lang.String), org.grails.datastore.gorm.GormValidationApi#super$3$super$2$this$dist$get$1(java.lang.String), org.grails.datastore.gorm.GormValidationApi#super$3$super$2$this$dist$invoke$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#super$3$super$2$this$dist$set$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#super$3$this$dist$get$2(java.lang.String), org.grails.datastore.gorm.GormValidationApi#super$3$this$dist$set$2(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#super$3$$getStaticMetaClass(), org.grails.datastore.gorm.GormValidationApi#super$3$this$dist$invoke$2(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#this$dist$invoke$3(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#this$dist$set$3(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#this$dist$get$3(java.lang.String), org.grails.datastore.gorm.GormValidationApi#__$swapInit(), org.grails.datastore.gorm.GormValidationApi#super$1$notifyAll(), org.grails.datastore.gorm.GormValidationApi#super$1$wait(), org.grails.datastore.gorm.GormValidationApi#super$2$getMetaClass(), org.grails.datastore.gorm.GormValidationApi#super$2$setMetaClass(groovy.lang.MetaClass), org.grails.datastore.gorm.GormValidationApi#hasErrors(java.lang.Object), org.grails.datastore.gorm.GormValidationApi#validate(java.lang.Object, java.util.Map), org.grails.datastore.gorm.GormValidationApi#validate(java.lang.Object, java.util.List), org.grails.datastore.gorm.GormValidationApi#validate(java.lang.Object), org.grails.datastore.gorm.GormValidationApi#validate(java.lang.Object, boolean), org.grails.datastore.gorm.GormValidationApi#super$1$toString(), org.grails.datastore.gorm.GormValidationApi#super$2$setProperty(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#getErrors(java.lang.Object), org.grails.datastore.gorm.GormValidationApi#setValidator(org.springframework.validation.Validator), org.grails.datastore.gorm.GormValidationApi#getValidator(), org.grails.datastore.gorm.GormValidationApi#setErrors(java.lang.Object, org.springframework.validation.Errors), org.grails.datastore.gorm.GormValidationApi#clearErrors(java.lang.Object), org.grails.datastore.gorm.GormValidationApi#getBeforeValidateHelper(), org.grails.datastore.gorm.GormValidationApi#setBeforeValidateHelper(org.grails.datastore.gorm.support.BeforeValidateHelper), org.grails.datastore.gorm.GormValidationApi#this$4$doValidate(java.lang.Object, java.util.Map, java.util.List), org.grails.datastore.gorm.GormValidationApi#this$4$filterErrors(org.springframework.validation.Errors, java.util.Set, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#this$4$fireEvent(java.lang.Object, java.util.List), org.grails.datastore.gorm.GormValidationApi#this$4$resetErrors(java.lang.Object), org.grails.datastore.gorm.GormValidationApi#super$3$getExtendedMethods(), org.grails.datastore.gorm.GormValidationApi#super$3$getMethods(), org.grails.datastore.gorm.GormValidationApi#super$2$invokeMethod(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#super$2$$getStaticMetaClass(), org.grails.datastore.gorm.GormValidationApi#super$1$notify(), org.grails.datastore.gorm.GormValidationApi#super$1$wait(long, int), org.grails.datastore.gorm.GormValidationApi#getMethods(), org.grails.datastore.gorm.GormValidationApi#super$2$execute(org.grails.datastore.mapping.core.SessionCallback), org.grails.datastore.gorm.GormValidationApi#super$2$execute(org.grails.datastore.mapping.core.VoidSessionCallback), org.grails.datastore.gorm.GormValidationApi#this$dist$invoke$2(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#this$dist$get$2(java.lang.String), org.grails.datastore.gorm.GormValidationApi#this$dist$set$2(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#getExtendedMethods(), org.grails.datastore.gorm.GormValidationApi#getEXCLUDES(), org.grails.datastore.gorm.GormValidationApi#getMetaClass(), org.grails.datastore.gorm.GormValidationApi#setMetaClass(groovy.lang.MetaClass), org.grails.datastore.gorm.GormValidationApi#setProperty(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#getProperty(java.lang.String), org.grails.datastore.gorm.GormValidationApi#invokeMethod(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#super$1$clone(), org.grails.datastore.gorm.GormValidationApi#super$1$wait(long), org.grails.datastore.gorm.GormValidationApi#super$1$getClass(), org.grails.datastore.gorm.GormValidationApi#super$1$finalize(), org.grails.datastore.gorm.GormValidationApi#super$1$equals(java.lang.Object), org.grails.datastore.gorm.GormValidationApi#super$1$hashCode(), org.grails.datastore.gorm.GormValidationApi#this$dist$invoke$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#this$dist$set$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormValidationApi#this$dist$get$1(java.lang.String), org.grails.datastore.gorm.GormValidationApi#wait(), org.grails.datastore.gorm.GormValidationApi#wait(long, int), org.grails.datastore.gorm.GormValidationApi#wait(long), org.grails.datastore.gorm.GormValidationApi#equals(java.lang.Object), org.grails.datastore.gorm.GormValidationApi#toString(), org.grails.datastore.gorm.GormValidationApi#hashCode(), org.grails.datastore.gorm.GormValidationApi#getClass(), org.grails.datastore.gorm.GormValidationApi#notify(), org.grails.datastore.gorm.GormValidationApi#notifyAll()

Methods inherited from class org.grails.datastore.gorm.AbstractGormApi
org.grails.datastore.gorm.AbstractGormApi#super$2$this$dist$invoke$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#super$2$this$dist$set$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#super$2$invokeMethod(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#super$2$getProperty(java.lang.String), org.grails.datastore.gorm.AbstractGormApi#super$2$this$dist$get$1(java.lang.String), org.grails.datastore.gorm.AbstractGormApi#super$2$$getStaticMetaClass(), org.grails.datastore.gorm.AbstractGormApi#__$swapInit(), org.grails.datastore.gorm.AbstractGormApi#super$1$notify(), org.grails.datastore.gorm.AbstractGormApi#super$1$notifyAll(), org.grails.datastore.gorm.AbstractGormApi#super$1$wait(), org.grails.datastore.gorm.AbstractGormApi#super$1$wait(long, int), org.grails.datastore.gorm.AbstractGormApi#super$2$getMetaClass(), org.grails.datastore.gorm.AbstractGormApi#super$2$setMetaClass(groovy.lang.MetaClass), org.grails.datastore.gorm.AbstractGormApi#getMethods(), org.grails.datastore.gorm.AbstractGormApi#super$1$toString(), org.grails.datastore.gorm.AbstractGormApi#super$2$setProperty(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#super$2$execute(org.grails.datastore.mapping.core.SessionCallback), org.grails.datastore.gorm.AbstractGormApi#super$2$execute(org.grails.datastore.mapping.core.VoidSessionCallback), org.grails.datastore.gorm.AbstractGormApi#this$dist$invoke$2(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#this$dist$get$2(java.lang.String), org.grails.datastore.gorm.AbstractGormApi#this$dist$set$2(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#getExtendedMethods(), org.grails.datastore.gorm.AbstractGormApi#getEXCLUDES(), org.grails.datastore.gorm.AbstractGormApi#getMetaClass(), org.grails.datastore.gorm.AbstractGormApi#setMetaClass(groovy.lang.MetaClass), org.grails.datastore.gorm.AbstractGormApi#setProperty(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#getProperty(java.lang.String), org.grails.datastore.gorm.AbstractGormApi#invokeMethod(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#super$1$clone(), org.grails.datastore.gorm.AbstractGormApi#super$1$wait(long), org.grails.datastore.gorm.AbstractGormApi#super$1$getClass(), org.grails.datastore.gorm.AbstractGormApi#super$1$finalize(), org.grails.datastore.gorm.AbstractGormApi#super$1$equals(java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#super$1$hashCode(), org.grails.datastore.gorm.AbstractGormApi#this$dist$invoke$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#this$dist$set$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#this$dist$get$1(java.lang.String), org.grails.datastore.gorm.AbstractGormApi#wait(), org.grails.datastore.gorm.AbstractGormApi#wait(long, int), org.grails.datastore.gorm.AbstractGormApi#wait(long), org.grails.datastore.gorm.AbstractGormApi#equals(java.lang.Object), org.grails.datastore.gorm.AbstractGormApi#toString(), org.grails.datastore.gorm.AbstractGormApi#hashCode(), org.grails.datastore.gorm.AbstractGormApi#getClass(), org.grails.datastore.gorm.AbstractGormApi#notify(), org.grails.datastore.gorm.AbstractGormApi#notifyAll()

Property Detail

### validateMethod

    ValidatePersistentMethod validateMethod

Constructor Detail

### HibernateGormValidationApi

    HibernateGormValidationApi(java.lang.Class persistentClass, HibernateDatastore datastore, java.lang.ClassLoader classLoader)

Method Detail

### validate

    @Override
    boolean validate(java.lang.Object instance)

### validate

    @Override
    boolean validate(java.lang.Object instance, boolean evict)

### validate

    @Override
    boolean validate(java.lang.Object instance, java.util.Map arguments)

### validate

    @Override
    boolean validate(java.lang.Object instance, java.util.List fields)

Groovy Documentation